Alvaro Herrera writes:
Uh, the pg_dump part checks for version 80400, shouldn't it be 90400?
The reasoning there is that 8.4 is where we added
pg_get_function_arguments(), so this dumping code should work against that
server version or later. (Oh, memo to self: test that.) It's true that
pre-9.4 servers are not going to produce any useful extra info by using
pg_get_function_arguments() on an aggregate; but the general idea of this
patch is to make the aggregate-related code look more like the
plain-function-related code, so using the same version cutoffs in both
cases seemed to make sense.

    regards, tom lane

Search Discussions

Discussion Posts

Previous

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 20 of 20 | next ›
Discussion Overview
grouppgsql-hackers @
categoriespostgresql
postedAug 29, '13 at 7:55p
activeAug 31, '13 at 3:02a
posts20
users7
websitepostgresql.org...
irc#postgresql

People

Translate

site design / logo © 2017 Grokbase